Build #3 for http2-client-grpc-0.6.0.0

[all reports]

Package http2-client-grpc-0.6.0.0
Install DependencyFailed http2-client-grpc-0.6.0.0
Docs NotTried
Tests NotTried
Time submitted 2019-04-01 21:36:28.241408616 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies async-2.2.1, base-4.12.0.0, binary-0.8.6.0, bytestring-0.10.8.2, case-insensitive-1.2.0.11, data-default-class-0.1.2.0, http2-1.6.4, http2-client-0.8.0.2, http2-grpc-types-0.4.0.0, lens-4.17, proto-lens-0.5.0.0, text-1.2.3.1, tls-1.4.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     base-orphans-0.8.1
Starting     cabal-doctest-1.0.6
Starting     StateVar-1.1.1.1
Starting     basement-0.0.10
Building     StateVar-1.1.1.1
Building     base-orphans-0.8.1
Building     cabal-doctest-1.0.6
Building     basement-0.0.10
Completed    base-orphans-0.8.1
Starting     call-stack-0.1.0
Completed    StateVar-1.1.1.1
Starting     cereal-0.5.8.0
Building     call-stack-0.1.0
Building     cereal-0.5.8.0
Completed    cabal-doctest-1.0.6
Starting     data-default-class-0.1.2.0
Completed    call-stack-0.1.0
Starting     hashable-1.2.7.0
Building     data-default-class-0.1.2.0
Building     hashable-1.2.7.0
Completed    data-default-class-0.1.2.0
Starting     hourglass-0.2.12
Building     hourglass-0.2.12
Completed    hashable-1.2.7.0
Starting     lens-family-core-1.2.3
Building     lens-family-core-1.2.3
Completed    cereal-0.5.8.0
Starting     network-2.8.0.0
Completed    lens-family-core-1.2.3
Starting     network-byte-order-0.0.0.0
Building     network-byte-order-0.0.0.0
Building     network-2.8.0.0
Completed    hourglass-0.2.12
Starting     parallel-3.2.2.0
Building     parallel-3.2.2.0
Completed    network-byte-order-0.0.0.0
Starting     primitive-0.6.4.0
Building     primitive-0.6.4.0
Completed    parallel-3.2.2.0
Starting     reflection-2.1.4
Building     reflection-2.1.4
Completed    network-2.8.0.0
Starting     semigroups-0.18.5
Completed    reflection-2.1.4
Starting     tagged-0.8.6
Building     semigroups-0.18.5
Building     tagged-0.8.6
Completed    semigroups-0.18.5
Starting     th-abstraction-0.2.11.0
Building     th-abstraction-0.2.11.0
Completed    tagged-0.8.6
Starting     transformers-compat-0.6.3
Building     transformers-compat-0.6.3
Failed to install transformers-compat-0.6.3
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/transformers-compat-0.6.3-8J5sQDqjcykKMT9EWJuWmO.log ):
cabal: Entering directory '/tmp/cabal-tmp-5184/transformers-compat-0.6.3'
Configuring transformers-compat-0.6.3...
Preprocessing library for transformers-compat-0.6.3..
Building library for transformers-compat-0.6.3..
[1 of 4] Compiling Control.Monad.Trans.Instances ( src/Control/Monad/Trans/Instances.hs, dist/build/Control/Monad/Trans/Instances.o )

src/Control/Monad/Trans/Instances.hs:610:10: error:
    Duplicate instance declarations:
      instance MonadFix m => MonadFix (ListT m)
        -- Defined at src/Control/Monad/Trans/Instances.hs:610:10
      instance [safe] MonadFix m => MonadFix (ListT m)
        -- Defined in ‘Control.Monad.Trans.List’
    |
610 | instance (MonadFix m) => MonadFix (ListT m) where
    |          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-5184/transformers-compat-0.6.3'
Starting     void-0.7.2
Building     void-0.7.2
Completed    primitive-0.6.4.0
Completed    void-0.7.2
Completed    th-abstraction-0.2.11.0
Completed    basement-0.0.10
cabal: Error: some packages failed to install:
adjunctions-4.4-6rIsiWE8kPfDWVrMJBk2NV depends on adjunctions-4.4 which failed
to install.
bifunctors-5.5.3-7ypOJJuRiyTIXXC5seKRKh depends on bifunctors-5.5.3 which
failed to install.
comonad-5.0.4-1PGHt9eYrA4BrPWH2Q760 depends on comonad-5.0.4 which failed to
install.
exceptions-0.10.1-LJQK6tPYLpA2GwdrZBxobP depends on exceptions-0.10.1 which
failed to install.
free-5.1-8MYGFPJMLDiJWGdGHtY1Yr depends on free-5.1 which failed to install.
http2-client-grpc-0.6.0.0-DnaaSW2ggpOAHJUqWylKga depends on
http2-client-grpc-0.6.0.0 which failed to install.
http2-grpc-types-0.4.0.0-2I6rEGWltnI2c32ct4CFH4 depends on
http2-grpc-types-0.4.0.0 which failed to install.
invariant-0.5.1-CMQOtbM31qhAXyTA28AUKR depends on invariant-0.5.1 which failed
to install.
kan-extensions-5.2-F6jGBnlZ9ZZ6ZmOBLugUoK depends on kan-extensions-5.2 which
failed to install.
lens-4.17-IEsks0FDkfnFTCwXbnyzD2 depends on lens-4.17 which failed to install.
profunctors-5.3-qXv5dUOfqq1f96GD3xAOm depends on profunctors-5.3 which failed
to install.
proto-lens-0.5.0.0-84lUHCFw3WiDvcjhHd4qBM depends on proto-lens-0.5.0.0 which
failed to install.
semigroupoids-5.3.2-8Ihc6E5I5xqH8eYcekW9rO depends on semigroupoids-5.3.2
which failed to install.
transformers-base-0.4.5.2-GlJ8ZErq7lWLBZaohbo02f depends on
transformers-base-0.4.5.2 which failed to install.
transformers-compat-0.6.3-8J5sQDqjcykKMT9EWJuWmO failed during the building
phase. The exception was:
ExitFailure 1